List User Notifications
curl --request GET \
--url https://api.thefaithapp.com/v1/notifications/user \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/notifications/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/notifications/user"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"current_page": 1,
"data": [
{
"id": "77211025-5c70-4847-81b3-ce242d1f9e77",
"type": "general",
"title": "Docs alert one",
"body": "Seeded for API docs",
"data": [],
"read_at": null,
"created_at": "2026-05-27T17:56:55.000000Z"
}
],
"per_page": 20,
"total": 1
}
}Notifications & Bulletins
List User Notifications
Returns member-specific notifications such as personal alerts or direct delivery events.
GET
/
v1
/
notifications
/
user
List User Notifications
curl --request GET \
--url https://api.thefaithapp.com/v1/notifications/user \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/notifications/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/notifications/user"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"current_page": 1,
"data": [
{
"id": "77211025-5c70-4847-81b3-ce242d1f9e77",
"type": "general",
"title": "Docs alert one",
"body": "Seeded for API docs",
"data": [],
"read_at": null,
"created_at": "2026-05-27T17:56:55.000000Z"
}
],
"per_page": 20,
"total": 1
}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Query Parameters
Page number for pagination.
Response
User notifications returned successfully.
The response is of type object.
Was this page helpful?